Bug 760839 - build without tcl
build without tcl
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: usb_modeswitch (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: mail@romal.de
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 799144
  Show dependency treegraph
 
Reported: 2011-12-06 23:28 EST by Bill Nottingham
Modified: 2014-03-16 23:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-21 22:23:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
spec diff (869 bytes, patch)
2011-12-06 23:28 EST, Bill Nottingham
no flags Details | Diff

  None (edit)
Description Bill Nottingham 2011-12-06 23:28:02 EST
Created attachment 541721 [details]
spec diff

Description of problem:

Increases size of usb_modeswitch package from 168k to 324k, but allows us to drop a 4.4MB tcl package that is unlikely to be used for anything else on a default install/live image.

Version-Release number of selected component (if applicable):

usb_modeswitch-1.2.0

Additional Information:

'static' just means make a binary out of the tcl script; it's still dynamically linked.
Comment 1 Bill Nottingham 2012-04-24 12:46:37 EDT
Ping?
Comment 2 Dan Williams 2012-04-24 13:24:36 EDT
Updated patch against 1.2.2 is:

diff --git a/usb_modeswitch.spec b/usb_modeswitch.spec
index ae7a4a5..469d0ce 100644
--- a/usb_modeswitch.spec
+++ b/usb_modeswitch.spec
@@ -37,7 +37,7 @@ touch -r device_reference.txt device_reference.txt.new && \
 mv device_reference.txt.new device_reference.txt
 
 %build
-CFLAGS="$RPM_OPT_FLAGS" make %{?_smp_mflags}
+CFLAGS="$RPM_OPT_FLAGS" make %{?_smp_mflags} static
 
 
 %install
@@ -48,7 +48,7 @@ mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
 mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
 
 install -p -m 755 usb_modeswitch $RPM_BUILD_ROOT%{_sbindir}/
-install -p -m 755 usb_modeswitch.tcl $RPM_BUILD_ROOT%{_sbindir}/usb_modeswitch_dispatcher
+install -p -m 755 usb_modeswitch_dispatcher $RPM_BUILD_ROOT%{_sbindir}/
 install -p -m 644 usb_modeswitch.conf $RPM_BUILD_ROOT%{_sysconfdir}/
 gzip -9c usb_modeswitch.1 > usb_modeswitch.1.gz && install -m 644 usb_modeswitch.1.gz $RPM_BUILD_ROOT%{_datadir}/man/man1
 install -p -m 755 usb_modeswitch.sh $RPM_BUILD_ROOT/lib/udev/usb_modeswitch

and that works for 6 WWAN dongles I pulled out of my box.
Comment 3 Dan Williams 2012-04-24 13:25:54 EDT
(ZTE MF627, Huawei UMG1831, Alcatel/TCT OneTouch X200, Samsung SGH-Z810, Huawei E1552, Zoom 4597)
Comment 4 Fedora Update System 2012-04-24 15:53:38 EDT
usb_modeswitch-data-20120120-1.fc16,usb_modeswitch-1.2.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/usb_modeswitch-data-20120120-1.fc16,usb_modeswitch-1.2.3-1.fc16
Comment 5 Fedora Update System 2012-04-24 15:54:11 EDT
usb_modeswitch-data-20120120-1.fc17,usb_modeswitch-1.2.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/usb_modeswitch-data-20120120-1.fc17,usb_modeswitch-1.2.3-1.fc17
Comment 6 Fedora Update System 2012-04-25 23:25:31 EDT
Package usb_modeswitch-data-20120120-1.fc16, usb_modeswitch-1.2.3-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing usb_modeswitch-data-20120120-1.fc16 usb_modeswitch-1.2.3-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6617/usb_modeswitch-data-20120120-1.fc16,usb_modeswitch-1.2.3-1.fc16
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-05-21 22:23:00 EDT
usb_modeswitch-data-20120120-1.fc16, usb_modeswitch-1.2.3-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-05-26 03:12:42 EDT
usb_modeswitch-data-20120120-1.fc17, usb_modeswitch-1.2.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.